php4.4.6 は危険かも

上記のジャンルにあてはまらない話題、雑談など
アバター
hide-10
記事: 95
登録日時: 2005/5/27 16:16
お住まい: 横浜市

php4.4.6 は危険かも

投稿記事by hide-10 » 2007/4/29 12:16

ご無沙汰しております。
お役に立つかどうかわかりませんが、体験談を・・。

アメリカのレンタル・サーバーを使い、ZenCart1.3.6を問題なく運用していたところ、突然、自動送信される日本語メールの本文だけが、「文字化け」するようになってしまいました。
(ちなみにZenCartだけでなく、他に使用しているWebアプリも同様です。)

サーバー会社に問い合せても、最初は適当にあしらわれていたのですが、時間が経つにつれ、対応が変わってきました。というのも、同様のクレームがどうやら殺到しているらしいのです。

で、色々調べているうちにわかったのが、サーバー会社がなんのアナウンスもなしに、php4.4.4から4.4.6にアップしていたのです。

サーバー会社に問合せをしてから約1ヶ月間、じっと対応を見守ったのですが未だ解決せずです(とほほ :? )とはいえ、php.iniを書き換えたりなど、色々実験は続けています。

解決方法をネットで検索しているのですが、なかなか見つかりません。
困りましたー。 :cry:
アバター
kimono
記事: 1995
登録日時: 2005/9/27 13:30
お住まい: 大阪府大阪市天王寺区上本町
連絡を取る:

投稿記事by kimono » 2007/4/30 09:43

こんにちわ。kimonoです :)
うちのサーバーも4.4.6にしましたところ、zencartでありませんが、xoopsでイメージマネージャーが利用出来なくなり、慌てて元のバージョンに戻した記憶があります。
色々と問題ある模様ですね・・・
・・・何も解決になっていなく申し訳ありませんが^^;

“Zen Cart 雑談処「禅亭」” へ戻る